#-----------------------------------------------------------------------------
%{?!dist:	%define	dist	.ok}
#-----------------------------------------------------------------------------
Name		:	xsane
Version		:	0.999
Release		:	17.0.10.rel%{?dist}
Summary		:	X Window System front-end for the SANE scanner interface
Group		:	System Environment/Daemons

Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	GPL
URL		:	http://anduin.linuxfromscratch.org/BLFS/xsane

Source0		:	%{name}-%{version}.tar.gz
#-----------------------------------------------------------------------------
BuildRequires	:	desktop-file-utils
BuildRequires	:	gtk2+
BuildRequires	:	libjpeg-turbo-devel
BuildRequires	:	libpng-devel
BuildRequires	:	libtiff
BuildRequires	:	sane-backends-devel
BuildRequires	:	lcms2

#-----------------------------------------------------------------------------
%description
XSane is an X based interface for the SANE (Scanner Access Now Easy)
library, which provides access to scanners, digital cameras, and other
capture devices. XSane is written in GTK+ and provides control for
performing the scan and then manipulating the captured image.

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc xsane.AUTHOR xsane.COPYING xsane.NEWS
%{_bindir}/%{name}
%{_defaultdocdir}/%{name}-%{version}/%{name}-*.{html,jpg}
%{_defaultdocdir}/%{name}-%{version}/sane-*.html
%{_datadir}/applications/%{name}.desktop
%{_datadir}/locale/*/LC_MESSAGES/%{name}.mo
%{_datadir}/sane/%{name}/*.{xpm,pnm,txt}
%{_datadir}/sane/%{name}/%{name}-style.rc
%{_datadir}/pixmaps/%{name}.xpm
%{_mandir}/man1/%{name}.1.gz

#=============================================================================
%prep
%setup -q

#-----------------------------------------------------------------------------
#building application
%build
sed -i							\
  -e 's/png_ptr->jmpbuf/png_jmpbuf(png_ptr)/'		\
  src/xsane-save.c

#autoconf -v -i -f
./configure						\
        --prefix=%{_prefix}				\
        --includedir=%{_includedir}			\
	--exec-prefix=%{_exec_prefix}			\
	--libexecdir=%{_libexecdir}			\
        --sysconfdir=%{_sysconfdir}			\
        --sbindir=%{_sbindir}				\
	--mandir=%{_mandir}				\
	--libdir=%{_libdir}				\
	--infodir=%{_infodir}				\
	--localstatedir=%{_var}				\
	--docdir=%{_defaultdocdir}/%{name}-%{version}	\
	--disable-gimptest				\

%define _smp_mflags -j%(/usr/bin/getconf _NPROCESSORS_ONLN)
%{__make}						\
	%{_smp_mflags}

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__make}						\
	DESTDIR=%{buildroot}				\
	xsanedocdir=%{_defaultdocdir}/%{name}-%{version}\
	install

desktop-file-install   					\
	--delete-original				\
	--dir %{buildroot}%{_datadir}/applications 	\
	%{buildroot}%{_datadir}/applications/*.desktop 

#-----------------------------------------------------------------------------
%changelog
